/** Contenidos **/

.content-photo-bg {
  position: relative;
  width: 100%;
  height: 192px;
  overflow: hidden;
}

.content-photo-bg-repeat {
  position: absolute;
  inset: 0;
  background-repeat: repeat;
  background-size: auto;
  opacity: 0.3;
  mix-blend-mode: multiply;
}

.content-photo-bg-main {
  position: relative;
  width: 100%;
  height: 100%;
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  z-index: 1;
}

.content-section {
  padding-top: 2rem !important;
}

  .content-section p {
    text-align: center !important;
  }

.content-header {
  background-color: transparent;
  color: #000;
  margin-bottom: 2rem;
  margin-top: 1rem;
  text-align: center;
}

  .content-header h3 {
    align-items: center;
    color: #000;
    display: flex;
    flex-direction: column;
    font-size: 2rem;
    font-weight: bold;
  }

    .content-header h3::after {
      border-radius: 2px;
      background-color: var(--bs-primary) !important;
      content: '';
      display: block;
      height: 6px;
      margin-top: 10px;
      width: 80px;
    }

  .content-header h5 {
    color: var(--bs-primary);
    font-size: medium;
    margin-top: 0.5rem;
    text-transform: uppercase;
  }

  .content-header p {
    margin-top: 2rem !important;
    margin-bottom: 0px;
  }

.content-subheader {
  background-color: transparent;
  color: #000;
  margin-bottom: 2rem;
  margin-top: 1rem;
  text-align: center;
}

  .content-subheader > h3 {
    align-items: center;
    color: #000;
    display: flex;
    flex-direction: column;
    font-size: 1.25rem;
    font-weight: bold;
  }

    .content-subheader > h3::after {
      border-radius: 2px;
      background-color: var(--bs-secondary) !important;
      content: '';
      display: block;
      height: 4px;
      margin-top: 10px;
      width: 40px;
    }

.content-tab {
  /*text-align: left !important;*/
}

  .content-tab .content-scroll > div {
    height: 300px;
    margin: 5px;
    overflow-y: auto;
    padding-right: 20px;
  }

  .content-tab .content-scroll {
    text-align: justify !important;
  }

    .content-tab .content-scroll ::-webkit-scrollbar {
      width: 6px !important;
    }

    .content-tab .content-scroll ::-webkit-scrollbar-track {
      background-color: var(--bs-light);
      border-radius: 2px;
    }

    .content-tab .content-scroll ::-webkit-scrollbar-thumb {
      background: var(--bs-primary);
      border-radius: 2px;
    }

      .content-tab .content-scroll ::-webkit-scrollbar-thumb:hover {
        background: var(--bs-primary);
      }

/** Bubbles **/

.speech-bubble {
  background-color: var(--bs-primary-bg-subtle);
  border-radius: var(--bs-border-radius);
  color: var(--bs-black);
  margin: 10px;
  opacity: 0.7;
  padding: 20px;
  position: relative;
  text-align: center;
}

  .speech-bubble:after {
    border: 20px solid transparent;
    border-bottom: 0;
    border-right: 0;
    border-top-color: var(--bs-primary-bg-subtle);
    bottom: 0;
    content: '';
    height: 0;
    left: 50%;
    margin-left: -10px;
    margin-bottom: -20px;
    position: absolute;
    width: 0;
  }

  .speech-bubble h1 {
    color: #000;
    font-size: 1.5rem;
  }

  .speech-bubble h2 {
    color: #000;
    font-size: 1.25rem;
    font-weight: bold;
  }

/** Links **/

.cool-link {
  color: var(--bs-primary);
  display: inline-block;
  font-weight: 600;
  text-decoration: none;
}

  .cool-link::after {
    content: '';
    background: currentColor;
    display: block;
    height: 2px;
    width: 0px;
    transition: width .3s;
  }

  .cool-link:hover::after {
    width: 100%;
  }

.action-link {
  background: var(--bs-light);
  border-radius: 50%;
  color: var(--bs-black);
  display: inline-flex;
  font-weight: 600;
  padding: 0.5rem;
  text-decoration: none;
}

  .action-link i {
    font-size: 3rem;
  }

  .action-link:hover {
    background: var(--bs-primary-bg-subtle);
    color: currentColor;
  }

/** Maps **/

.map-content {
  border: 1px solid var(--bs-primary);
  border-radius: var(--bs-border-radius);
  height: 312px !important;
  min-width: 230px !important;
  padding: 2px !important;
}

  .map-content div {
    border-radius: var(--bs-border-radius);
    height: 100%;
    width: 100%;
  }

div.olControlZoom {
  left: 0px !important;
  top: 0px !important;
  z-index: 1500 !important;
}

  div.olControlZoom a, div.olControlZoom a:hover {
    background-color: var(--bs-primary) !important;
  }

/** Progress **/

div.progress-wrapper {
  position: fixed;
  cursor: wait;
  height: 2rem;
  width: 2rem;
  overflow: visible;
  margin: auto;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: 6000;
}

  div.progress-wrapper:before {
    content: '';
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.3);
  }

div.progress-wrapper-local {
  position: fixed;
  cursor: wait;
  height: 100%;
  width: 100%;
  overflow: visible;
  margin: auto;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: 6000;
}

  div.progress-wrapper-local:before {
    content: '';
    display: block;
    position: relative;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.3);
  }

div.loader {
  position: absolute;
  left: 50%;
  top: 50%;
  z-index: 1;
  width: 150px;
  height: 150px;
  margin: -75px 0 0 -75px;
  border: 0.5rem solid #f2f2f2;
  border-radius: 50%;
  border-top: 10px solid var(--bs-primary);
  width: 150px;
  height: 150px;
  -webkit-animation: spin 2s linear infinite;
  animation: spin 2s linear infinite;
}

/** Tablas  **/

.table-striped tbody tr:nth-of-type(odd) {
  background-color: rgba(233, 186, 188, .1);
}

.table {
  font-size: medium;
}

  .table thead {
    color: #000;
  }

    .table thead th {
      background-color: var(--bs-primary);
      border-bottom: 4px solid var(--bs-primary-bg-subtle) !important;
    }

  .table td, .table th {
    border-top-color: var(--bs-primary);
  }

  .table > tbody > tr {
    align-items: center;
    border-bottom: 1px solid var(--bs-primary);
    cursor: pointer;
  }

    .table, .table > tbody > tr > td {
      border: none;
      vertical-align: middle;
    }

      .table > tbody > tr > td > span {
        display: flex;
        flex-direction: row;
        gap: 0.5rem;
        justify-content: center;
        vertical-align: middle;
      }

        .table > tbody > tr > td > span > a {
          color: #000;
          display: flex;
        }

      .table > tbody > tr > td.active, .table > tbody > tr > th.active, .table > tbody > tr.active, .table > tbody > tr.active > th {
        background-color: rgba(233, 186, 188, .9);
      }

/* Multimedia */

.multimedia-container {
  height: 480px !important;
  width: 100%;
  margin: 0 !important;
}

  .multimedia-container.multimedia-container-audio,
  .multimedia-container.multimedia-container-video {
    background-color: rgba(102, 102, 102, .3) !important;
  }

    .multimedia-container.multimedia-container-audio.logo::before {
      content: "";
      position: absolute;
      background-image: url('../Images/Ilustraciones/madre_canciones.svg');
      background-repeat: no-repeat;
      background-position: center;
      height: 100%;
      width: 100%;
    }

.multimedia-container-review {
  position: fixed;
  cursor: pointer;
  height: 100%;
  width: 100%;
  overflow: show;
  margin: auto;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: 1000;
}

  .multimedia-container-review div {
    position: absolute;
    width: 100%;
    text-align: center;
  }

    .multimedia-container-review div span {
      display: block;
      text-transform: uppercase;
    }

      .multimedia-container-review div span i {
        font-size: 150px;
        color: var(--bs-primary);
        padding: 20px;
      }

.multimedia-audio-controls {
  width: 240px !important;
}

.multimedia-audio-controls-ex {
  position: relative;
  float: left;
  left: 60px !important;
  height: 100% !important;
  padding: 10px;
  width: calc(100% - 120px) !important;
}

.multimedia-video-controls-ex {
  position: relative;
  float: left;
  left: 60px !important;
  height: 100% !important;
  padding: 5px;
  width: calc(100% - 120px) !important;
}

/* Scroll */

.scroll-fade {
  -webkit-mask-image: linear-gradient(90deg, transparent 0%, #fff 15%, #fff 85%, transparent 100%);
  mask-image: linear-gradient(90deg, transparent 0%, #fff 15%, #fff 85%, transparent 100%);
}

.w-max-content {
  width: max-content;
}

.scroll-track {
  animation: scrollInfinito 60s linear infinite;
  animation-play-state: running;
  background-color: #fff;
}

  .scroll-track:hover {
    animation-play-state: paused;
  }

@keyframes scrollInfinito {
  0% {
    transform: translateX(0);
  }

  100% {
    transform: translateX(-50%);
  }
}

/** Solapas **/

.nav-tabs .nav-link {
  color: #000;
}

  .nav-tabs .nav-link.active {
    color: var(--bs-primary);
  }

.tab-pane {
  margin-right: 0px !important;
  margin-left: 0px !important;
}
